Package org.apache.cayenne.access.sqlbuilder

## Class ExpressionNodeBuilder

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.ExpressionNodeBuilder

- All Implemented Interfaces:
    `NodeBuilder`

      public class ExpressionNodeBuilder
      extends Object

  Since:
    4.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionNodeBuilder` | `and​(NodeBuilder operand)` |
    `Node` | `build()` |
    `ExpressionNodeBuilder` | `div​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `eq​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `gt​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `gte​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `lt​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `lte​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `minus​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `mul​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `not()` |
    `ExpressionNodeBuilder` | `or​(NodeBuilder operand)` |
    `ExpressionNodeBuilder` | `plus​(NodeBuilder operand)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### and

          public ExpressionNodeBuilder and​(NodeBuilder operand)

    - #### or

          public ExpressionNodeBuilder or​(NodeBuilder operand)

    - #### plus

          public ExpressionNodeBuilder plus​(NodeBuilder operand)

    - #### minus

          public ExpressionNodeBuilder minus​(NodeBuilder operand)

    - #### mul

          public ExpressionNodeBuilder mul​(NodeBuilder operand)

    - #### div

          public ExpressionNodeBuilder div​(NodeBuilder operand)

    - #### eq

          public ExpressionNodeBuilder eq​(NodeBuilder operand)

    - #### lt

          public ExpressionNodeBuilder lt​(NodeBuilder operand)

    - #### gt

          public ExpressionNodeBuilder gt​(NodeBuilder operand)

    - #### lte

          public ExpressionNodeBuilder lte​(NodeBuilder operand)

    - #### gte

          public ExpressionNodeBuilder gte​(NodeBuilder operand)

    - #### not

          public ExpressionNodeBuilder not()

    - #### build

          public Node build()

      Specified by:
        `build` in interface `NodeBuilder`